Open CASCADE Technology: Aspect_Convert Namespace Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Namespace List
- Namespace Members

Functions
Aspect_Convert Namespace Reference

Auxiliary functions for DCU <-> Pixels conversions. More...

## Functions
Standard_Integer | Round (Standard_Real theValue)
void | ConvertCoordinates (const Standard_Integer theParentPxSizeX, const Standard_Integer theParentPxSizeY, const Quantity_Parameter theQCenterX, const Quantity_Parameter theQCenterY, const Quantity_Parameter theQSizeX, const Quantity_Parameter theQSizeY, Standard_Integer &thePxLeft, Standard_Integer &thePxTop, Standard_Integer &thePxSizeX, Standard_Integer &thePxSizeY)
void | ConvertCoordinates (const Standard_Integer theParentPxSizeX, const Standard_Integer theParentPxSizeY, const Standard_Integer thePxLeft, const Standard_Integer thePxTop, const Standard_Integer thePxSizeX, const Standard_Integer thePxSizeY, Quantity_Parameter &theQCenterX, Quantity_Parameter &theQCenterY, Quantity_Parameter &theQSizeX, Quantity_Parameter &theQSizeY)
void | FitIn (const Standard_Integer theParentPxSizeX, const Standard_Integer theParentPxSizeY, Standard_Integer &thePxLeft, Standard_Integer &thePxTop, Standard_Integer &thePxSizeX, Standard_Integer &thePxSizeY)

## Detailed Description

Auxiliary functions for DCU <-> Pixels conversions.

## Function Documentation

void Aspect_Convert::ConvertCoordinates | ( | const Standard_Integer | theParentPxSizeX,
|  | const Standard_Integer | theParentPxSizeY,
|  | const Quantity_Parameter | theQCenterX,
|  | const Quantity_Parameter | theQCenterY,
|  | const Quantity_Parameter | theQSizeX,
|  | const Quantity_Parameter | theQSizeY,
|  | Standard_Integer & | thePxLeft,
|  | Standard_Integer & | thePxTop,
|  | Standard_Integer & | thePxSizeX,
|  | Standard_Integer & | thePxSizeY
| ) |  |
| inline

void Aspect_Convert::ConvertCoordinates | ( | const Standard_Integer | theParentPxSizeX,
|  | const Standard_Integer | theParentPxSizeY,
|  | const Standard_Integer | thePxLeft,
|  | const Standard_Integer | thePxTop,
|  | const Standard_Integer | thePxSizeX,
|  | const Standard_Integer | thePxSizeY,
|  | Quantity_Parameter & | theQCenterX,
|  | Quantity_Parameter & | theQCenterY,
|  | Quantity_Parameter & | theQSizeX,
|  | Quantity_Parameter & | theQSizeY
| ) |  |
| inline

void Aspect_Convert::FitIn | ( | const Standard_Integer | theParentPxSizeX,
|  | const Standard_Integer | theParentPxSizeY,
|  | Standard_Integer & | thePxLeft,
|  | Standard_Integer & | thePxTop,
|  | Standard_Integer & | thePxSizeX,
|  | Standard_Integer & | thePxSizeY
| ) |  |
| inline

Standard_Integer Aspect_Convert::Round | ( | Standard_Real | theValue | ) |
| inline